#!/bin/bash
##
# This file is part of the code-cloppers openbox setup.
#
# This script should be executed on startup of openbox.

start() {
    nohup "$@" &>>/dev/null &
}

# The launcher
start albert

# The dock
start plank

# Compositing (cool shadows/smooth looks for windows)
start xcompmgr

# The notification daemon
start dunst

# The lock screen
start xscreensaver

start trayer \
      --edge top \
      --transparent true \
      --align right \
      --padding 2 \
      --tint 0x000000 \
      --margin 1 \
      --SetPartialStrut true \
      --iconspacing 2 \
      --SetDockType true \
      --widthtype request
